export default {
  mounted() {
    this.getWxConfig()
  },
  data() {
    return {
      // 详情id
      detailID: this.$route.params.detail,
    }
  },
  methods: {
    /**
     * 获取微信配置
     */
    async getWxConfig() {
      let res = await this.$post(`/api/auth/get_wechat_js_api_conf`)
      this.$store.commit('updateWxConfig', {
        wxConfig: res.data || {}
      })
      if(this.configWx) this.configWx()
    }
  }
}